#pragma once

#include <vector>
#include "Sprite.hpp"
#include "Types.hpp"

namespace TSE
{
    struct ImageAnimationSet
    {
    public:
        std::string Name = "";
        std::vector<Sprite*> Sprites;
        float frameTime = 0;
        ImageAnimationSet() = default;
        ImageAnimationSet(std::vector<Sprite*>* s, std::string& name);
    };
} // namespace TSE
